# 最新情况

＃ 最新情况

NATS.io 团队一直致力于为您带来改善 NATS 体验的功能。您将在下面找到 NATS 新实现的功能摘要。经常回来查看发布亮点和更新。

### 服务器发布 v2.9.0

请查看博客上的【公告帖】（<https://nats.io/blog/nats-server-29-release/）和【详细的发行说明】（https://github.com/nats-io）> /nats-server/releases/tag/v2.9.0) 在服务器存储库中。

### 服务器发布 v2.8.0

#### 叶节点

支持 `leafnodes{}` 中的 `min_version` 会拒绝具有较低版本的服务器。请注意，这仅适用于 v2.8.0 及更高版本的服务器。

#### 监控

* 监控登陆页面中的服务器版本。
* 发生故障时记录到 `/healthz` 端点。
* `/varz` 端点中的 MQTT 和 Websocket 块。

#### jetstream

* 消费者检查添加到 `healthz` 端点。
* 最大流字节检查。
* 能够限制消费者的 `MaxAckPending` 值。
* 允许流和消费者在集群之间迁移。 *此功能被视为“测试版”*。
* `jetstream{}` 配置块中的新 `unique_tag` 选项可防止将流两次放置在同一可用区中。
* 在 `StreamInfo` 响应中流 `Alternates` 字段。它们提供镜像的优先级列表以及与请求起源相关的源。
* 确定性主题令牌到分区映射。

有关完整的发布信息，请参阅下面的链接；

* 发行说明 [2.8.0](https://github.com/nats-io/nats-server/releases/tag/v2.8.0)
* 更改的完整列表 [2.7.4...2.8.0](https://github.com/nats-io/nats-server/compare/v2.7.4...v2.8.0)

### 服务器发布 v2.7.0

#### **JetStream 用户须知**

如果使用有关域的 LeafNode，请参阅 [重要说明](https://github.com/nats-io/nats-server/pull/2693#issuecomment-996212582)。

＃＃＃ 配置 能够在服务器配置文件中配置帐户限制（`max_connections`、`max_subscriptions`、`max_payload`、`max_leafnodes`）。

#### JetStream

* 流的溢出位置。如果可以将流放置在那里，现在可以将流放置在距离源请求最近的集群中。
* 支持临时拉取消费者（需要更新客户端库以允许这些消费者）。
* 新的消费者配置选项
  * 对于拉消费者： `MaxRequestBatch` 限制任何客户端可以请求的批处理大小 `MaxRequestExpires` 限制任何客户端可以请求的过期时间
  * 对于临时消费者： `InactiveThreshold` 持续时间，指示服务器清理长时间处于非活动状态的临时消费者。
* 能够将 `jetstream{}` 块中的 `max_file_store` 和 `max_memory_store` 配置为具有以下后缀 `K`、`M`、`G` 和 `T` 的字符串，例如：`max_file_store: "256M"` 。
* 支持 JWT 字段“MaxBytesRequired”，它定义了每个账户的资产最大字节数。

#### MQTT

支持 websocket 协议。 MQTT 客户端必须连接到打开的 websocket 端口并将 `/mqtt` 添加到 URL 路径。

#### TLS

通过在 `tls{}` 顶级块中添加 `connection_rate_limit: <number of connections per seconds>` 来限制客户端连接的能力。

有关完整的发布信息，请参阅下面的链接；

* 发行说明 [2.7.0](https://github.com/nats-io/nats-server/releases/tag/v2.7.0)
* 更改的完整列表 [2.6.6...2.7.0](https://github.com/nats-io/nats-server/compare/v2.6.6...v2.7.0)

### 服务器发布 v2.6.0

#### **JetStream 用户须知**

如果从 NATS Server v2.4.0 之前的版本升级，请参阅重要的 [note](https://github.com/natsclub/nats.docs/blob/main/release_notes/README.md#notice-for-jetstream-users)。

#### MQTT 用户须知

如果从 v2.5.0 之前的版本升级，请参阅重要的 [notes](https://github.com/natsclub/nats.docs/blob/main/release_notes/README.md#mqtt-update)。

#### 监控

* JetStream 的保留内存和在 `/jsz` 和 `/varz` 端点中保留的帐户使用的内存
* 强化系统服务

有关完整的发布信息，请参阅下面的链接；

* 发行说明 [2.6.0](https://github.com/nats-io/nats-server/releases/tag/v2.6.0)
* 完整的更改列表 [2.5.0...2.6.0](https://github.com/nats-io/nats-server/compare/v2.6.0...v2.5.0)

### 服务器发布 v2.5.0

#### **JetStream 用户须知**

如果从 NATS Server v2.4.0 之前的版本升级，请参阅重要的 [note](https://github.com/natsclub/nats.docs/blob/main/release_notes/README.md#notice-for-jetstream-users)。

#### MQTT/监控

* `/connz` 连接报告和系统事件 CONNECT 和 DISCONNECT 中的 `MQTTClient`。能够在 `mqtt_client` 上进行选择。

#### MQTT 改进

* 会话现在都存储在单个流中，而不是单个流，从而减少资源使用。

#### MQTT 更新

* 由于上述改进，当 MQTT 客户端升级到此服务器版本后首次连接时，服务器会将所有单独的 `$MQTT_sess_<xxxx>` 流迁移到新的 `$MQTT_sess` 流中用户的帐户。

有关完整的发布信息，请参阅下面的链接；

* 发行说明 [2.5.0](https://github.com/nats-io/nats-server/releases/tag/v2.5.0)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.natsclub.cn/cn/fa-xing-bei-zhu/whats_new.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
